dbXML API

## com.dbxml.xml.dtsm
Class Constants

    java.lang.Object
      com.dbxml.xml.dtsm.Constants

public final class Constants
extends java.lang.Object

Constants defines all integer constants for the DTSM stream format.

Field Summary
`static int` `DOC_ENTRY_SIZE`
`static int` `INT_SIZE`
`static int` `NO_ID`
`static int` `NO_SYMBOL_ID`
`static int` `NO_VALUE_ID`
`static byte` `OBJ_BEGIN_ATTRIBUTE`
`static byte` `OBJ_BEGIN_DOCTYPE`
`static byte` `OBJ_BEGIN_DOCUMENT`
`static byte` `OBJ_BEGIN_ELEMENT`
`static byte` `OBJ_BEGIN_ENTITY`
`static byte` `OBJ_BEGIN_NOTATION`
`static byte` `OBJ_BEGIN_PROCINST`
`static byte` `OBJ_CDATA`
`static byte` `OBJ_COMMENT`
`static byte` `OBJ_END_ATTRIBUTE`
`static byte` `OBJ_END_DOCTYPE`
`static byte` `OBJ_END_DOCUMENT`
`static byte` `OBJ_END_ELEMENT`
`static byte` `OBJ_END_ENTITY`
`static byte` `OBJ_END_NOTATION`
`static byte` `OBJ_END_PROCINST`
`static byte` `OBJ_ENTITY_REF`
`static byte` `OBJ_TEXT`
`static int` `PAIR_COUNT`
`static int` `SYMBOL_COUNT`
`static byte` `VAL_ANYURI`
`static byte` `VAL_BASE64BINARY`
`static byte` `VAL_BOOLEAN`
`static byte` `VAL_DATE`
`static byte` `VAL_DATETIME`
`static byte` `VAL_DECIMAL`
`static byte` `VAL_DOUBLE`
`static byte` `VAL_DURATION`
`static int` `VAL_ENTRY_SIZE`
`static byte` `VAL_FLOAT`
`static byte` `VAL_GDAY`
`static byte` `VAL_GMONTH`
`static byte` `VAL_GMONTHDAY`
`static byte` `VAL_GYEAR`
`static byte` `VAL_GYEARMONTH`
`static byte` `VAL_HEXBINARY`
`static byte` `VAL_QNAME`
`static byte` `VAL_STRING`
`static byte` `VAL_TIME`

Method Summary
`static boolean` `isPayloadSymbol(byte typeID)`
`static boolean` `isPayloadValue(byte typeID)`
`static boolean` `isTypePaired(byte typeID)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DOC_ENTRY_SIZE

    public static final int DOC_ENTRY_SIZE

See Also:
  Constant Field Values

### VAL_ENTRY_SIZE

    public static final int VAL_ENTRY_SIZE

See Also:
  Constant Field Values

### INT_SIZE

    public static final int INT_SIZE

See Also:
  Constant Field Values

### PAIR_COUNT

    public static final int PAIR_COUNT

See Also:
  Constant Field Values

### SYMBOL_COUNT

    public static final int SYMBOL_COUNT

See Also:
  Constant Field Values

### OBJ_BEGIN_DOCUMENT

    public static final byte OBJ_BEGIN_DOCUMENT

See Also:
  Constant Field Values

### OBJ_END_DOCUMENT

    public static final byte OBJ_END_DOCUMENT

See Also:
  Constant Field Values

### OBJ_BEGIN_ELEMENT

    public static final byte OBJ_BEGIN_ELEMENT

See Also:
  Constant Field Values

### OBJ_END_ELEMENT

    public static final byte OBJ_END_ELEMENT

See Also:
  Constant Field Values

### OBJ_BEGIN_ATTRIBUTE

    public static final byte OBJ_BEGIN_ATTRIBUTE

See Also:
  Constant Field Values

### OBJ_END_ATTRIBUTE

    public static final byte OBJ_END_ATTRIBUTE

See Also:
  Constant Field Values

### OBJ_BEGIN_PROCINST

    public static final byte OBJ_BEGIN_PROCINST

See Also:
  Constant Field Values

### OBJ_END_PROCINST

    public static final byte OBJ_END_PROCINST

See Also:
  Constant Field Values

### OBJ_BEGIN_NOTATION

    public static final byte OBJ_BEGIN_NOTATION

See Also:
  Constant Field Values

### OBJ_END_NOTATION

    public static final byte OBJ_END_NOTATION

See Also:
  Constant Field Values

### OBJ_BEGIN_ENTITY

    public static final byte OBJ_BEGIN_ENTITY

See Also:
  Constant Field Values

### OBJ_END_ENTITY

    public static final byte OBJ_END_ENTITY

See Also:
  Constant Field Values

### OBJ_BEGIN_DOCTYPE

    public static final byte OBJ_BEGIN_DOCTYPE

See Also:
  Constant Field Values

### OBJ_END_DOCTYPE

    public static final byte OBJ_END_DOCTYPE

See Also:
  Constant Field Values

### OBJ_ENTITY_REF

    public static final byte OBJ_ENTITY_REF

See Also:
  Constant Field Values

### OBJ_COMMENT

    public static final byte OBJ_COMMENT

See Also:
  Constant Field Values

### OBJ_TEXT

    public static final byte OBJ_TEXT

See Also:
  Constant Field Values

### OBJ_CDATA

    public static final byte OBJ_CDATA

See Also:
  Constant Field Values

### VAL_STRING

    public static final byte VAL_STRING

See Also:
  Constant Field Values

### VAL_BOOLEAN

    public static final byte VAL_BOOLEAN

See Also:
  Constant Field Values

### VAL_DECIMAL

    public static final byte VAL_DECIMAL

See Also:
  Constant Field Values

### VAL_FLOAT

    public static final byte VAL_FLOAT

See Also:
  Constant Field Values

### VAL_DOUBLE

    public static final byte VAL_DOUBLE

See Also:
  Constant Field Values

### VAL_DURATION

    public static final byte VAL_DURATION

See Also:
  Constant Field Values

### VAL_DATETIME

    public static final byte VAL_DATETIME

See Also:
  Constant Field Values

### VAL_TIME

    public static final byte VAL_TIME

See Also:
  Constant Field Values

### VAL_DATE

    public static final byte VAL_DATE

See Also:
  Constant Field Values

### VAL_GYEARMONTH

    public static final byte VAL_GYEARMONTH

See Also:
  Constant Field Values

### VAL_GYEAR

    public static final byte VAL_GYEAR

See Also:
  Constant Field Values

### VAL_GMONTHDAY

    public static final byte VAL_GMONTHDAY

See Also:
  Constant Field Values

### VAL_GDAY

    public static final byte VAL_GDAY

See Also:
  Constant Field Values

### VAL_GMONTH

    public static final byte VAL_GMONTH

See Also:
  Constant Field Values

### VAL_HEXBINARY

    public static final byte VAL_HEXBINARY

See Also:
  Constant Field Values

### VAL_BASE64BINARY

    public static final byte VAL_BASE64BINARY

See Also:
  Constant Field Values

### VAL_ANYURI

    public static final byte VAL_ANYURI

See Also:
  Constant Field Values

### VAL_QNAME

    public static final byte VAL_QNAME

See Also:
  Constant Field Values

### NO_ID

    public static final int NO_ID

See Also:
  Constant Field Values

### NO_SYMBOL_ID

    public static final int NO_SYMBOL_ID

See Also:
  Constant Field Values

### NO_VALUE_ID

    public static final int NO_VALUE_ID

See Also:
  Constant Field Values

Method Detail

### isTypePaired

    public static final boolean isTypePaired(byte typeID)

### isPayloadSymbol

    public static final boolean isPayloadSymbol(byte typeID)

### isPayloadValue

    public static final boolean isPayloadValue(byte typeID)

dbXML API

Copyright (c) 2004 The dbXML Group